
Redmine - Defect #6020

Invalid byte sequence in US-ASCII error during repository update

2010-08-03 13:32 - Thomas Buhk

Status: Closed Start date: 2010-08-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I get an 'invalid byte sequence in US-ASCII' error when updating from one of my git repositories. The problem is a commit message

with '§$%&$' as part of the commit message. Any idea how to fix it?

ArgumentError (invalid byte sequence in US-ASCII):

  lib/redmine/scm/adapters/git_adapter.rb:133:in `block (2 levels) in revisions'

  lib/redmine/scm/adapters/git_adapter.rb:132:in `each_line'

  lib/redmine/scm/adapters/git_adapter.rb:132:in `block in revisions'

  lib/redmine/scm/adapters/abstract_adapter.rb:193:in `call'

  lib/redmine/scm/adapters/abstract_adapter.rb:193:in `block in shellout'

  lib/redmine/scm/adapters/abstract_adapter.rb:191:in `popen'

  lib/redmine/scm/adapters/abstract_adapter.rb:191:in `shellout'

  lib/redmine/scm/adapters/abstract_adapter.rb:177:in `shellout'

  lib/redmine/scm/adapters/git_adapter.rb:126:in `revisions'

  app/models/repository/git.rb:52:in `fetch_changesets'

  app/controllers/repositories_controller.rb:77:in `show'

  <internal:prelude>:8:in `synchronize'

  thin (1.2.7) lib/thin/connection.rb:76:in `block in pre_process'

  thin (1.2.7) lib/thin/connection.rb:74:in `catch'

  thin (1.2.7) lib/thin/connection.rb:74:in `pre_process'

  thin (1.2.7) lib/thin/connection.rb:57:in `process'

  thin (1.2.7) lib/thin/connection.rb:42:in `receive_data'

  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run_machine'

  eventmachine (0.12.10) lib/eventmachine.rb:256:in `run'

  thin (1.2.7) lib/thin/backends/base.rb:57:in `start'

  thin (1.2.7) lib/thin/server.rb:156:in `start'

  thin (1.2.7) lib/thin/controllers/controller.rb:80:in `start'

  thin (1.2.7) lib/thin/runner.rb:177:in `run_command'

  thin (1.2.7) lib/thin/runner.rb:143:in `run!'

  thin (1.2.7) bin/thin:6:in `<top (required)>'

  /usr/local/bin/thin:19:in `load'

  /usr/local/bin/thin:19:in `<main>'

History

#1 - 2010-08-03 13:45 - Felix Schäfer

See RedmineSettings.

#2 - 2010-08-03 14:30 - Thomas Buhk

no, doesn't change anything.

#3 - 2010-08-06 12:43 - Thomas Buhk

- Status changed from New to Resolved

i played around a little bit with some more things to check this out. it seems that updating git solve the problem.

#4 - 2010-08-06 15:37 - Felix Schäfer

- Status changed from Resolved to Closed

- Resolution set to Invalid
https://www.redmine.org/projects/redmine/wiki/RedmineSettings#Repositories-encodings


Thanks for the feedback.
